/* c't Mikrocontroller-im-LAN Demo Source
 * Datei: uart.c
 * Info: Routinen zur seriellen Kommunikation
 * Autor: Benjamin Benz (bbe@heise.de)
 * Datum: 24.06.04
 *
 * Modifiziert von Werner Boellmann 30.12.2004.
 * Modifications:
 *             Initialisierung mit Parametern.
 *             Gepufferts senden.
 *             Fehlerbergabe bei uart_data_available und uart_read.
 *
 * $LastChangedDate: 2005-12-17 15:40:32 +0100 (Sat, 17 Dec 2005) $
 * $LastChangedRevision: 24 $
 * $LastChangedBy: wb $
 * $HeadURL: svn://127.0.0.1/ct-Netzschalter/trunc/ct-netz-schalter-mcu/lib/uart.h $
 */

//#define DEST_XPORT         0
//#define DEST_COM           1
//#define DEST_PASSTHROUGH   2
//#define DEST_OLD         255

int  uart_read(void);               // Achtung, blockiert wenn RxBuf leer. wenn < 0 dann fehlerbits in oberem byte;
void uart_send(int data);           // Achtung, blockiert wenn TxBuf voll.
int  uart_sendIfPossible(int data); // liefert 1 wenn OK, 0 wenn sendbuffer voll
void uart_print(char *data);        // Sendet string bis '\0' mittels uart_send();
int  uart_printIfPossible(char *data); // liefert Anzahl gesenderter Zeichen
//void uart_dest(char dest);
char uart_data_available(void);     // <0 wenn fehler (overflow. parity oder Framing im nchsten verfgbaren byte
                                    // Fehlerhafte bytes muessen mit uart_read aus Empfangsbuffer gelesen werden...
void uart_init(long br, char pty, char bits, char stop);

/* Flush receive buffer */
void uart_flush_rx(void);
// 0 | 0 | 0 | 0 | FE | DOR | PE  | Das 9te bit bei 9Bit Char
#define USART_PARITY_ERROR     0x0800
#define USART_OVERFLOW_ERROR   0x0400
#define USART_FRAMING_ERROR    0x0200
#define USART_BIT9             0x0100
#define USART_DATABITS         0x01FF

#define USART_ERRMASK (USART_PARITY_ERROR | USART_OVERFLOW_ERROR | USART_FRAMING_ERROR)

extern char uart_timeout;
