/*
 * Definition von Parametern verschiedenster AVR MCUs
 *
 * $LastChangedDate: 2005-12-17 15:40:32 +0100 (Sat, 17 Dec 2005) $
 * $LastChangedRevision: 24 $
 * $LastChangedBy: wb $
 * $HeadURL: svn://127.0.0.1/ct-Netzschalter/trunc/ct-netz-schalter-mcu/lib/uartdefs.h $
 */

#if defined(__AVR_ATmega8__)
#define  INTVECREG      GICR
#define  PULLUPPORT     PORTD
#define  PULLUPPIN      0x01
#endif

#if defined(__AVR_ATmega16__)
#define  INTVECREG      GICR
#define  PULLUPPORT     PORTD
#define  PULLUPPIN      0x01
#endif

#if defined(__AVR_ATmega32__)
#define  INTVECREG      GICR
#define  PULLUPPORT     PORTD
#define  PULLUPPIN      0x01
#endif

#if defined(__AVR_ATmega64__)
#define  INTVECREG      MCUCR
#if (UART == 0)
#define PULLUPPORT      PORTE
#define PULLUPPIN       0x01
#endif

#if (UART == 1)
#define PULLUPPORT      PORTD
#define PULLUPPIN       0x04
#endif
#endif

#if defined(__AVR_ATmega128__)
#define  INTVECREG      MCUCR
#define  RAMPZ_FLAG
#if (UART == 0)
#define PULLUPPORT      PORTE
#define PULLUPPIN       0x01
#endif

#if (UART == 1)
#define PULLUPPORT      PORTD
#define PULLUPPIN       0x04
#endif
#endif

#if defined(__AVR_ATmega162__)
#define  INTVECREG      GICR
#if (UART == 0)
#define PULLUPPORT      PORTD
#define PULLUPPIN       0x01
#define FE         FE0
#define UPE        UPE0
#define RXC        RXC0
#endif

#if (UART == 1)
#define PULLUPPORT      PORTB
#define PULLUPPIN       0x04
#define FE         FE1
#define UPE        UPE1
#define RXC        RXC1
#endif
#endif

#if defined(__AVR_ATmega169__)
#define  INTVECREG      MCUCR
#define  PULLUPPORT     PORTE
#define  PULLUPPIN      0x01
#define  PE             UPE
#endif

#if defined(__AVR_ATmega8515__)
#define  INTVECREG      GICR
#define  PULLUPPORT     PORTD
#define  PULLUPPIN      0x01
#endif

#if defined(__AVR_ATmega8535__)
#define  INTVECREG      GICR
#define  PULLUPPORT     PORTD
#define  PULLUPPIN      0x01
#endif

#if defined(__AVR_ATtiny2313__)
#define  PULLUPPORT     PORTD
#define  PULLUPPIN      0x01
#endif

#if defined(__AVR_ATmega48__)
#define  INTVECREG      MCUCR
#define  PULLUPPORT     PORTD
#define  PULLUPPIN      0x01
#ifdef UART
 #undef UART
#endif
#define UART       0
#endif

#if defined(__AVR_ATmega88__)
#define UART_NO
#define  INTVECREG      MCUCR
#define  PULLUPPORT     PORTD
#define  PULLUPPIN      0x01
#ifdef UART
 #undef UART
#endif
#define UART       0
#endif

#if defined(__AVR_ATmega168__)
#define  INTVECREG      MCUCR
#define  PULLUPPORT     PORTD
#define  PULLUPPIN      0x01
#ifdef UART
 #undef UART
#endif
#define UART       0
#endif

#if defined(__AVR_ATmega165__)
#define  INTVECREG      MCUCR
#define  PULLUPPORT     PORTE
#define  PULLUPPIN      0x01
#endif

#if defined(__AVR_ATmega3250__)
#define  INTVECREG      MCUCR
#define  PULLUPPORT     PORTE
#define  PULLUPPIN      0x01
#endif

#if defined(__AVR_ATmega6450__)
#define  INTVECREG      MCUCR
#define  PULLUPPORT     PORTE
#define  PULLUPPIN      0x01
#endif

#if defined(__AVR_ATmega3290__)
#define  INTVECREG      MCUCR
#define  PULLUPPORT     PORTE
#define  PULLUPPIN      0x01
#endif

#if defined(__AVR_ATmega6490__)
#define  INTVECREG      MCUCR
#define  PULLUPPORT     PORTE
#define  PULLUPPIN      0x01
#endif

#if defined(__AVR_ATmega406__)
#define  INTVECREG      MCUCR
#define  PULLUPPORT     PORTA
#define  PULLUPPIN      0x01
#endif

#if defined(__AVR_ATmega640__)
#define  INTVECREG      MCUCR
#if (UART == 0)
#define PULLUPPORT      PORTE
#define PULLUPPIN       0x01
#endif

#if (UART == 1)
#define PULLUPPORT      PORTD
#define PULLUPPIN       0x04
#endif

#if (UART == 2)
#define PULLUPPORT      PORTH
#define PULLUPPIN       0x01
#endif


#if (UART == 3)
#define PULLUPPORT      PORTJ
#define PULLUPPIN       0x01
#endif
#endif


#if defined(__AVR_ATmega1280__)
#define  INTVECREG      MCUCR

#if (UART == 0)
#define PULLUPPORT      PORTE
#define PULLUPPIN       0x01
#endif

#if (UART == 1)
#define PULLUPPORT      PORTD
#define PULLUPPIN       0x04
#endif


#if (UART == 2)
#define PULLUPPORT      PORTH
#define PULLUPPIN       0x01
#endif


#if (UART == 3)
#define PULLUPPORT      PORTJ
#define PULLUPPIN       0x01
#endif
#endif

#if defined(__AVR_ATmega2560__)
#define  INTVECREG      MCUCR

#if (UART == 0)
#define PULLUPPORT      PORTE
#define PULLUPPIN       0x01
#endif

#if (UART == 1)
#define PULLUPPORT      PORTD
#define PULLUPPIN       0x04
#endif


#if (UART == 2)
#define PULLUPPORT      PORTH
#define PULLUPPIN       0x01
#endif


#if (UART == 3)
#define PULLUPPORT      PORTJ
#define PULLUPPIN       0x01
#endif
#endif

#if defined (_AVR_IOMX8_H_)
#define FE         FE0
#define UPE        UPE0
#define RXC        RXC0
#endif
